﻿$ErrorActionPreference = 'Stop';

$packageName    = $env:ChocolateyPackageName
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/d29bea25151d/TargetSupportInstaller/UnitySetup-Linux-Mono-Support-for-Editor-2022.3.18f1.exe'
$checksum64     = 'b77f8b26b838dc5a4a10380791e513b235d5b1d395073469eb3355435f7307c5'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
